import 'package:flutter/material.dart';
import 'package:rkm_educa_app/componentes/text_custom.dart';
import '../utils/dimensoes.dart';

class ItemDisciplina extends StatelessWidget {

  String disciplina;
  int nota;
  int falta;

  ItemDisciplina({
    required this.disciplina,
    required this.nota,
    required this.falta,
});

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: const EdgeInsets.symmetric(vertical: 1),
      child: Row(
        children: [
          Container(
              width: Dimensoes.width*0.4,
              child: TextCustom(text: disciplina,size: 14.0,)
          ),
          Container(
              width: Dimensoes.width*0.2,
              alignment: Alignment.center,
              child: TextCustom(text: nota==0?'-': nota.toString(),size: 14.0)
          ),
          Container(
              alignment: Alignment.center,
              width: Dimensoes.width*0.2,
              child: TextCustom(text: falta==0?'-': falta.toString(),size: 14.0,)
          ),
        ],
      ),
    );
  }
}
